#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  print_info "Installing window manager"
  # Install chunkwm and khd
  brewget crisidev/homebrew-chunkwm/chunkwm
  brewget keokeishiya/formulae/khd

  # Link configuration files
  linkfile ${DOTFILES}/wm/khdrc ${HOME}/.khdrc
  linkfile ${DOTFILES}/wm/chunkwmrc ${HOME}/.chunkwmrc

  # Start services
  if ! brew services list | grep chunkwm >/dev/null; then
    brew services start khd
    brew services start chunkwm
  fi

  print_ok "Window manager installed and activated"
}

main "$@"
